Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api-v2.watchcollect.com/v2/ai/model-profiles \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api-v2.watchcollect.com/v2/ai/model-profiles', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api-v2.watchcollect.com/v2/ai/model-profiles" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "profiles": [ { "id": "openrouter:anthropic/claude-sonnet-4.5", "connector_id": "openai", "model_id": "anthropic/claude-sonnet-4.5", "schema_mode": "json_schema", "display_name": "<string>", "default": true, "enabled": true, "description": "<string>" } ], "connectors": [ { "connector_id": "openai", "configured": true, "key_fingerprint": "<string>", "updated_at_ms": 123 } ], "current_settings": { "connector_id": "openai", "model_profile_id": "<string>", "model_id": "<string>", "schema_mode": "json_schema", "prompt_bundle_version": "<string>", "updated_at_ms": 123 } }
{ "error": { "code": "invalid_payload", "message": "event is required", "request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001" } }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Model profiles and current tenant classification settings.
Show child attributes